> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Batch Pre Checks

> Runs pre-distribution checks (custody, network, tax config, variance) for schedules and returns results with a summary.

Not available to API keys yet. It will need `payments:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/run-batch-pre-checks
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/run-batch-pre-checks:
    post:
      operationId: runBatchPreChecks
      summary: Run Batch Pre Checks
      description: >-
        Runs pre-distribution checks (custody, network, tax config, variance)
        for schedules and returns results with a summary.


        Not available to API keys yet. It will need `payments:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RunBatchPreChecksRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunBatchPreChecksResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    RunBatchPreChecksRequest:
      type: object
      properties:
        schedules:
          type: array
          items:
            type: object
            properties:
              scheduleID:
                type: string
                format: uuid
              scheduleType:
                type: string
                enum:
                  - VESTING
                  - LOCKUP
                  - WARRANT_LOCKUP
            required:
              - scheduleID
              - scheduleType
        varianceThreshold:
          type: number
          minimum: 0
          maximum: 100
      required:
        - schedules
    RunBatchPreChecksResponse:
      type: object
      properties:
        results:
          type: array
          items:
            type: object
            properties:
              scheduleID:
                type: string
              scheduleType:
                type: string
                enum:
                  - VESTING
                  - LOCKUP
                  - WARRANT_LOCKUP
              checkResults:
                type: array
                items:
                  type: object
                  properties:
                    checkType:
                      type: string
                      enum:
                        - WALLET_VALIDATION
                        - TAX_CONFIG
                        - CUSTODY
                        - VARIANCE
                        - NETWORK_MISMATCH
                        - DISTRIBUTION_RATIO
                    status:
                      type: string
                      enum:
                        - PASSED
                        - FAILED
                        - WARNING
                        - SKIPPED
                        - ERROR
                    title:
                      type: string
                    message:
                      type: string
                    severity:
                      type: string
                      enum:
                        - error
                        - warning
                        - info
                    details:
                      type: object
                      additionalProperties: {}
                  required:
                    - checkType
                    - status
                    - title
                    - message
                    - severity
                    - details
              status:
                type: string
                enum:
                  - PASSED
                  - FAILED
                  - WARNING
                  - SKIPPED
                  - ERROR
              passed:
                type: boolean
            required:
              - scheduleID
              - scheduleType
              - checkResults
              - status
              - passed
        summary:
          type: object
          properties:
            total:
              type: number
            passed:
              type: number
            failed:
              type: number
            warnings:
              type: number
          required:
            - total
            - passed
            - failed
            - warnings
      required:
        - results
        - summary
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
